#****************************************************************************
#**
#**  File     :  /units/URO0202/URO0202_script.lua
#**  Author(s):  ASDRUBAELVECT 
#**
#**  Summary  :  SpaceShip
#**
#**  Copyright  2005 Gas Powered Games, Inc.  All rights reserved.
#****************************************************************************

local CAirUnit = import('/lua/cybranunits.lua').CAirUnit
local WeaponsFile = import('/Mods/testmod/hook/lua/modweapons.lua')  
local ModParticleCannonWeapon = import('/Mods/testmod/hook/lua/modweapons.lua').ModParticleCannonWeapon
local EffectUtil = import('/lua/EffectUtilities.lua')
local EffectTemplate = import('/lua/EffectTemplates.lua')
local CDFHeavyElectronBolterWeapon = import('/lua/cybranweapons.lua').CDFHeavyElectronBolterWeapon
local ModGrenadeWeapon = WeaponsFile.ModGrenadeWeapon
--local CDFParticleCannonWeapon = import('/lua/cybranweapons.lua').CDFParticleCannonWeapon
local ModProtonCannonWeapon = WeaponsFile.ModProtonCannonWeapon
--local CDFParticleCannonWeapon = import('/lua/cybranweapons.lua').CDFParticleCannonWeapon

URO0202 = Class(CAirUnit) {
    Weapons = {
        ParticleGun = Class(ModProtonCannonWeapon) {},
		HeavyBolter = Class(CDFHeavyElectronBolterWeapon){},
	    ArtiOrbital = Class(ModGrenadeWeapon) {
            FxMuzzleFlash = {
                '/effects/emitters/cybran_artillery_muzzle_flash_01_emit.bp',
                '/effects/emitters/cybran_artillery_muzzle_flash_02_emit.bp',
                '/effects/emitters/cannon_muzzle_smoke_02_emit.bp',
            },
            FxMuzzleFlashScale = 0.9,
        },
    },
}

TypeClass = URO0202